#! /bin/rpm
%define startnum 37
%define killnum 63
%define daemonname limeperfd

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Summary:        LIME Performance Daemon Tool
Name:           lime-perfd
Version:        1.2.3
Release:        1
Group:          Applications/System
License:        GPL
Source:         %{name}-%{version}.tar.gz
Requires :	openwbem  
BuildRequires:  openwbem-devel 
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot


%description
This is the server tool of performance daemon which depends on the OpenWBEMs.
%prep
%setup -q 
%build
%configure
make
%install
%{__rm} -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
install etc/limeperfd $RPM_BUILD_ROOT/etc/rc.d/init.d

%post
# default service not start
if [ -x /sbin/chkconfig ]; then
  /sbin/chkconfig --add %{daemonname}
  /sbin/chkconfig %{daemonname} off
else
  for i in 0 1 6
  do
   ln -sf ../init.d/%{daemonname} %{_sysconfdir}/rc.d/rc$i.d/K%{killnum}%{daemonname}
  done
  for i in 2 3 4 5
  do
   ln -sf ../init.d/%{daemonname} %{_sysconfdir}/rc.d/rc$i.d/K%{killnum}%{daemonname}
  done
fi

%preun
# if -e operation, not -U
if [ "$1" = "0" ]
then
  # Stop the daemon
  /etc/rc.d/init.d/%{daemonname} stop
  if [ -x /sbin/chkconfig ]; then
    /sbin/chkconfig --del %{daemonname}
  else
    for i in 0 1 6
    do
      rm -f /etc/rc.d/rc$i.d/K%{killnum}%{daemonname}
    done
    for i in 2 3 4 5
    do
      rm -f /etc/rc.d/rc$i.d/S%{startnum}%{daemonname}
      rm -f /etc/rc.d/rc$i.d/K%{killnum}%{daemonname}
    done
  fi
fi
%clean
%{__rm} -rf $RPM_BUILD_ROOT
%files
%attr(0755,root,root) /etc/rc.d/init.d/%{daemonname}
%{_sbindir}/limeperfd
%{_datadir}/lime-perfd/*
%changelog
* Tue Jul 17 2007 Diancheng Wang <dcwang@redflag-linux.com>
- update to new version 1.2.3, see also package ChangeLog file for details.

* Wed Jul 4 2007 Diancheng Wang <dcwang@redflag-linux.com>
- update to new version 1.2.2, see also package ChangeLog file for details.

* Tue Jun 19 2007 Diancheng Wang <dcwang@redflag-linux.com>
- add this service to chkconfig list, add ChangeLog, README, NEWS
- to package, update to new version 1.2.1-1, see also package ChangeLog
- file for details.

* Fri Apr 6 2007 Diancheng Wang <dcwang@redflag-linux.com>
- install init.d script, remove rc?.d symlink of init.d script when uninstall
* Thu Mar 22 2007 He Tao <taohe@redflag-linux.com>
- create
